
Module SYS_T_terms.

  Inductive term : Type :=
  | var ((* index *) x : nat)
  | app (t1 : term) (t2 : term)
  | lam ((* bind term in *) t : term)
  | pair (t1 : term) (t2 : term)
  | blet ((* bind [ 2 term ] in *) t : term)
  | star
  | zero
  | succ (t : term)
  | nrec.

End SYS_T_terms.
